Author: Laurent Pelecq <laurent.pelecq@soleil.org>

   This mode primarily provides syntax highlighting for muttrc and
/etc/aliases.  Basic fontification (via font-lock) appears on strings,
comments, command names, and variables.  Additional fontification for
commands arguments can be enabled through the customization buffer.

   To customize it, execute 'M-x customize-group RET muttrc RET'

   By default, help for a command/variable is automatically displayed
when executing a command that would modify them.  This feature can be
disabled if it causes problems.

   The main commands are:

'C-x c'
     muttrc-insert-command
'C-x s'
     muttrc-set-variable
'C-x S'
     muttrc-unset-variable

   Type <C-h m> for all key bindings.

Installation:

   Add this lines to your Emacs config: (autoload 'muttrc-mode
"muttrc-mode.el" "Major mode to edit muttrc files" t) (setq
auto-mode-alist (append '(("muttrc\\'" .  muttrc-mode))
auto-mode-alist))

   Install muttrc-mode.el to a directory somewhere in the load-path.  To
use this mode for other files, like the mail aliases file, add local
file variables similar to following lines to these files:

   ### Local Variables: *** ### mode: muttrc *** ### End: ***

   Alternatively, write an auto-mode-alist rule to activate muttrc-mode
for FILE_PATTERN (see above example).

BUGS:

   Multi-line commands are not properly handled and can lead to
unexpected results.